<img width="186" height="70" style=" margin: 10px 0px 10px 10px;" alt="9086 logo" src="readme_files/9086_design1.svg">


A CPU that aims to be binary compatible with the 8086 and with as many optimisations as possible

### Progress
* [X] Executing code
* [X] Is Turing complete
* [ ] Can boot up MS-DOS / FreeDOS
* [ ] Is completely binary compatible
* [ ] Is pipelined
* [ ] Is Out of Order
* [ ] Is superscalar
* [ ] Has been successfully synthesized

### Simulating it
To simulate this project you need Icarus Verilog, bin86, GNU make, xxd and the posix coreutils.
After that you can run `make` on the top level directory and it should build everything and start the simulation

At the time of development the versions used are :

* Icarus Verilog version 11.0 (stable)
* bin86 version: 0.16.21
* GNU Make 4.4.1
* xxd 2022-01-14
* GNU coreutils 9.1

### License
All parts of this project are licensed under the GNU General Public License version 3 or later
